
from datetime import datetime


from qgis.PyQt.QtWidgets import QMessageBox


from urbanq.logging.logging_config import logger
from urbanq.menu.license.loopinator import gm


class Info:
    def __init__(self, l=None, c=None, e=None, o=None):
        self.v = [l, c, e, o, None, None]

    def d(self, n):
        try:
            
            

            exec(gm("BhcOB0AHLkY/QVNRXRYDFQsFHB8HTwgDGh8LEgEXGgAPABpZBhcOB0AHLkA/SE5cVRYDFQsFHB8HTwgDGh8LEgEXGgAPABpZBhcOB0AHLkM/SEdfERMbEmQCEB4ETxgqQC9CXE5ZERMWBBoYGBdMBxweGBsRDggeBx8DFUYCEB4ETxgqRy9LTwoQARdKSE5cVRxMBQ8FEFpLSEAVFAsRQQcXVRxCBAICEFIsDgAU"))
        except Exception as e:
            

            QMessageBox.information(self, gm('7Jal656e'), gm('65yJ7JyG7IWC7IuF66SSUe2YoOyciu2UgkHsibZR7Jaz7IuH64qq64qFQFHqspXqsa/shZ7thZHroLJR662N7Jyq7ZSWQeyikuyKnOyKqeyZlkw='), QMessageBox.Ok)
            logger.error("에러 발생: %s", e, exc_info=True)

    def i(self):
        return any(f is None for f in self.v[:4])


